Page MenuHomePhabricator

[ELF] Adding accessor method for getting Note Desc as StringRef
ClosedPublic

Authored by dineshkb-amd on Jun 4 2020, 12:07 PM.

Diff Detail

Event Timeline

dineshkb-amd created this revision.Jun 4 2020, 12:07 PM
Herald added a project: Restricted Project. · View Herald TranscriptJun 4 2020, 12:07 PM
dineshkb-amd updated this revision to Diff 268560.EditedJun 4 2020, 12:27 PM

Updated to use reference.

arsenm added inline comments.Jun 5 2020, 6:12 AM
llvm/include/llvm/Object/ELFTypes.h
609

I would move this below getDesc()

scott.linder accepted this revision.Jun 5 2020, 11:12 AM

I don't know why I didn't add any tests of getDesc() (or anything else) originally, maybe because there is no existing testing and it requires both a unit test and a binary file input? I think at this point we shouldn't block adding an obvious 1-line function on adding tests that should already exist. So, LGTM with Matt's request addressed, and we can add testing in a general way at some point.

This revision is now accepted and ready to land.Jun 5 2020, 11:12 AM

Updated arsenm's comment.

dineshkb-amd marked 2 inline comments as done.Jun 7 2020, 4:21 AM
This revision was automatically updated to reflect the committed changes.